cURL
curl --request POST \
--url https://api.notocat.com/v1/sends/{id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"To": "[email protected]"
}
'import requests
url = "https://api.notocat.com/v1/sends/{id}/test"
payload = { "To": "[email protected]" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({To: '[email protected]'})
};
fetch('https://api.notocat.com/v1/sends/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"To": "[email protected]",
"SubmittedAt": "2023-11-07T05:31:56Z",
"MessageID": "<string>",
"ErrorCode": 123,
"Message": "<string>"
}{
"error": 123,
"message": "<string>"
}Send Endpoint
Send a test email
Learn how to send a test email for a send using the Notocat API.
POST
/
sends
/
{id}
/
test
cURL
This endpoint can be used to send a test email for a send.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the send
Body
application/json
Test email configuration
The email address to send the test to
Was this page helpful?
⌘I